@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

.login .card{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    max-width: fit-content;
    border: 0;
}
.logo{
    -webkit-filter : hue-rotate(300deg);
    filter : hue-rotate(300deg);
}
.login .card img{
    max-width: 48%;
}
.card-body{
    width: 48%;
}
.card-body input{
    max-width: 48%;
}
.input-group{
    display: flex;
    align-items: center;
    justify-content: center;
}
h5{
    font-weight: bold;
}
.form-check label{
    font-size: 14.5px;
}

.bi-exclamation-triangle{
    color: red;
    display: inline-block;
    font-size: 18px;
    animation: ring 2s ease-in-out infinite; 
    transform-origin: top center; 
}
.bi-question-lg{
    color: red;
    display: inline-block;
    font-size: 18px;
    animation: alertBounce 1s infinite ease-in-out;
    transform-origin: top center; 
}
@keyframes ring {
  0%, 100% { transform: rotate(0deg); }
  5%  { transform: rotate(15deg); }
  10% { transform: rotate(-15deg); }
  15% { transform: rotate(12deg); }
  20% { transform: rotate(-12deg); }
  25% { transform: rotate(8deg); }
  30% { transform: rotate(-8deg); }
  35% { transform: rotate(4deg); }
  40% { transform: rotate(-4deg); }
  45% { transform: rotate(0deg); }
}

@keyframes alertBounce {
  0%, 100% {
    transform: scale(1) translateY(0);
  }
  50% {
    transform: scale(1.1) translateY(-10px);
  }
}

/* Targets tablets in portrait mode and smaller devices */
@media only screen and (max-width: 1024px){
    .my-input input{
        max-width: 288px;
    }
}

/* Targets smaller tablets and mobile devices */
@media only screen and (max-width: 768px){
    .my-input input{
        max-width: 268px;
    }
    .login .card img{
        max-width: 68%;
    }
}